import 'package:mobile_use_statistics/src/event/event.dart';

import 'mobile_use_statistics_platform_interface.dart';

class MobileUseStatistics {
  Future<List<Event>?> getLockScreenStatistics({
    required int startTime,
    required int endTime,
  }) {
    return MobileUseStatisticsPlatform.instance.getLockScreenStatistics(
      startTime: startTime,
      endTime: endTime,
    );
  }

  Future<bool> hasUseStatisticsPermission() {
    return MobileUseStatisticsPlatform.instance.hasUseStatisticsPermission();
  }

  Future<bool> requestUseStatisticsPermission() {
    return MobileUseStatisticsPlatform.instance
        .requestUseStatisticsPermission();
  }
}
